/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
/**
 * 
 */
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for MediaTypeCode
 */
public enum EnumCV_MediaTypeCode 
{
	USB_DISK_EMULATION_110030("110030"),
	EMAIL_110031("110031"),
	CD_110032("110032"),
	DVD_110033("110033"),
	COMPACT_FLASH_110034("110034"),
	MULTI_MEDIA_CARD_110035("110035"),
	SECURE_DIGITAL_CARD_110036("110036"),
	URI_110037("110037"),
	FILM_110010("110010"),
	PAPER_DOCUMENT_110038("110038");

	
	private String value;
	
	EnumCV_MediaTypeCode(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
